com.io7m.r2.core

## Interface R2LightSphericalSingleReadableType

- All Superinterfaces:
    R2LightReadableType, R2LightSingleReadableType, R2LightSphericalReadableType, R2LightVolumeSingleReadableType
  All Known Subinterfaces:
    R2LightSphericalSingleType
  All Known Implementing Classes:
    R2LightSphericalSingle

      public interface R2LightSphericalSingleReadableType
      extends R2LightSphericalReadableType, R2LightVolumeSingleReadableType

  The type of readable single-instance spherical lights.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `geometryScaleFactor()`
    `default <A,B,E extends Throwable> B` | `matchLightVolumeSingleReadable(A context, com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveReadableType,B,E> on_projective, com.io7m.jfunctional.PartialBiFunctionType<A,R2LightSphericalSingleReadableType,B,E> on_spherical)` Match on the type of volume light.

    - ### Methods inherited from interface com.io7m.r2.core.R2LightSphericalReadableType

      `falloff, originPosition, radius`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightSingleReadableType

      `arrayObject, matchLightSingle, transform`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightReadableType

      `color, intensity, lightID`

- - ### Method Detail

    - #### geometryScaleFactor

          float geometryScaleFactor()

      Returns:
        The scale factor for the light volume geometry
      See Also:
        `R2LightSphericalSingleWritableType.setGeometryScaleFactor(float)`

    - #### matchLightVolumeSingleReadable

          default <A,B,E extends Throwable> B matchLightVolumeSingleReadable(A context,
                                                                             com.io7m.jfunctional.PartialBiFunctionType<A,R2LightProjectiveReadableType,B,E> on_projective,
                                                                             com.io7m.jfunctional.PartialBiFunctionType<A,R2LightSphericalSingleReadableType,B,E> on_spherical)
                                                                      throws E extends Throwable

      Description copied from interface: `R2LightVolumeSingleReadableType`
      Match on the type of volume light.
      Specified by:
        `matchLightVolumeSingleReadable` in interface `R2LightVolumeSingleReadableType`
      Type Parameters:
        `A` - The type of context values
        `B` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `context` - A context value
        `on_projective` - Evaluated for projective lights
        `on_spherical` - Evaluated for spherical lights
      Returns:
        A value of type `B`
      Throws:
        `E` - If any of the given functions raise `E`
        `E extends Throwable`

Copyright © 2017 <code@io7m.com> http://io7m.com